Subject: [Megaco] Minor problem with sentence in section 6.2

From: "David Barr" <[email-masked]>
Date: Fri, 7 Sep 2001 08:36:28 +0100

There's a sentence in H.248 section 6.2:
"Statistics are reported to the MGC upon request (by means of the AuditValue
command, see 7.2.5) and when the Termination is taken out of the call it is
in."

There's a couple of things I don't like about this sentence:
(1) The MGC is not restricted to using the AuditValue command -- any command
with an Audit Descriptor will work.  Maybe place an "e.g." in front of "by
means of ...".

(2) The part: "... and when the Termination is taken out of the call it is
in" is a bit vague.  E.g. a termination can be Moved from one Context to
another, thereby possibly taking it out of the current call, however
Statistics aren't automatically reported in this case.  I prefer: "... and
when the Termination is Subtracted from the Context it is in."